Subject: [bug#45368] [PATCH core-updates 0/3] Help2man updates

From: Ludovic Courtès <[email-masked]>
Date: Thu, 07 Jan 2021 12:00:56 +0100

Hi!

Miguel Ángel Arruga Vivas <[email-masked]> skribis:

> Sorry for the delay.  I've pushed these changes from 4343ca8ba5 to
> cfe606572d, with an additional TODO comment on 378df42fc5 about the
> not-so-translated manual pages.

Cool.

> Ludovic Courtès <[email-masked]> writes:
>
>> If the problem is just the generation of help2man’s own documentation
>> when cross-compiling, perhaps we need to add itself as a native input
>> when cross-compiling?
>
> Yup, that sounds the cleanest solution.  Nonetheless...
>
>> Anyhow that doesn’t sound like a showstopper to me.
>
> It currently isn't at all, as it says as soon as I tried:
>
>   [...] build system `perl' does not support cross builds
>
> Also, they use a LD_PRELOAD library for the translation, which seems
> suspicious too.

Hmm OK.

>> Yes, that’s a good idea.  There’s already a procedure to generate a
>> locale package IIRC.  We just have to make sure its result is properly
>> memoized so that performance doesn’t suffer.
>
> I was thinking about the implicit input "locales" and replacing it with
> a package generated based on the arguments provided to the build system,
> but I guess you're thinking about build-locale from (gnu build locale)
> and its usage for the system locales on (gnu system locale).  Should it
> be then another derivation at (guix build-system gnu) level?  Any
> pointer about this is more than welcome.

I was actually thinking about a variant of ‘make-glibc-utf8-locales’
that… never got committed?!

  https://issues.guix.gnu.org/44075#7

The patch you proposed there LGTM.  Looks like you forgot to commit it.
:-)

Ludo’.